digiKam

Ответить
Аватара пользователя
tverskoy
Сообщения: 1139
Зарегистрирован: 12 сен 2011, 13:30
Operating system: Rosa 2016.1 Fresh
Откуда: Тверь

digiKam

Сообщение tverskoy » 15 фев 2017, 10:04

Неужели так необходимы все эти зависимости, полный набор kipi-plugin, marble и hugin?

Код: Выделить всё

[root@vera-laptop vera]# urpmi digikam
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «main»)
 enblend                        4.1.3        2             rosa  2014.1 x86_64 (рекомендуется)
 lib64gsl0                      1.16         2             rosa  2014.1 x86_64 (рекомендуется)
 lib64gslcblas0                 1.16         2             rosa  2014.1 x86_64 (рекомендуется)
 lib64hdf5_8                    1.8.13       2             rosa  2014.1 x86_64 (рекомендуется)
 lib64hdf5_hl8                  1.8.13       2             rosa  2014.1 x86_64 (рекомендуется)
 lib64shapelib1                 1.2.10       8             rosa  2014.1 x86_64 (рекомендуется)
 lib64wx_baseu2.8_0             2.8.12       12            rosa  2014.1 x86_64 (рекомендуется)
 lib64wx_baseu_net2.8_0         2.8.12       12            rosa  2014.1 x86_64 (рекомендуется)
 lib64wx_baseu_xml2.8_0         2.8.12       12            rosa  2014.1 x86_64 (рекомендуется)
 lib64wx_gtk2u_adv2.8_0         2.8.12       12            rosa  2014.1 x86_64 (рекомендуется)
 lib64wx_gtk2u_aui2.8_0         2.8.12       12            rosa  2014.1 x86_64 (рекомендуется)
 lib64wx_gtk2u_core2.8_0        2.8.12       12            rosa  2014.1 x86_64 (рекомендуется)
 lib64wx_gtk2u_gl2.8_0          2.8.12       12            rosa  2014.1 x86_64 (рекомендуется)
 lib64wx_gtk2u_html2.8_0        2.8.12       12            rosa  2014.1 x86_64 (рекомендуется)
 lib64wx_gtk2u_xrc2.8_0         2.8.12       12            rosa  2014.1 x86_64 (рекомендуется)
 wxgtk2.8                       2.8.12       12            rosa  2014.1 x86_64 (рекомендуется)
(источник «main updates»)
 digikam                        4.14.0       1             rosa  2014.1 x86_64 
 hugin                          2015.0.0     1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins                   4.14.0       1             rosa  2014.1 noarch 
 kipi-plugins-acquireimages     4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-advancedslideshow 4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-batchprocess      4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-calendar          4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-debianscreenshot  4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-dlna              4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-dngconverter      4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-dropbox           4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-expoblending      4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-facebook          4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-flashexport       4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-flickr            4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-galleryexport     4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-googleservices    4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-gpssync           4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-htmlexport        4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-imageshack        4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-imageviewer       4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-imgurexport       4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-ipodexport        4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-jalbumexport      4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-jpeglossless      4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-kioexportimport   4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-kmlexport         4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-kopete            4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-metadataedit      4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-panorama          4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-piwigoexport      4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-printimages       4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-rajceexport       4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-rawconverter      4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-removeredeyes     4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-sendimages        4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-shwup             4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-smug              4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-timeadjust        4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-videoslideshow    4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-vkontakte         4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 kipi-plugins-yandexfotki       4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 lib64QtGLib2.0_0               1.2.0        3             rosa  2014.1 x86_64 (рекомендуется)
 lib64QtGStreamer1.0_0          1.2.0        3             rosa  2014.1 x86_64 (рекомендуется)
 lib64QtGStreamerUtils1.0_0     1.2.0        3             rosa  2014.1 x86_64 (рекомендуется)
 lib64astro1                    4.14.3       4             rosa  2014.1 x86_64 
 lib64digikamcore4              4.14.0       1             rosa  2014.1 x86_64 
 lib64digikamdatabase4          4.14.0       1             rosa  2014.1 x86_64 
 lib64kface3                    15.04.1      1             rosa  2014.1 x86_64 
 lib64kgeomap2                  15.04.1      1             rosa  2014.1 x86_64 
 lib64kipiplugins4              4.14.0       1             rosa  2014.1 x86_64 (рекомендуется)
 lib64kqoauth0                  0.98         2             rosa  2014.1 x86_64 (рекомендуется)
 lib64ksane0                    4.14.3       1             rosa  2014.1 x86_64 (рекомендуется)
 lib64kvkontakte1               4.12.0       2             rosa  2014.1 x86_64 (рекомендуется)
 lib64marblewidget19            4.14.3       4             rosa  2014.1 x86_64 
 lib64opencv_calib3d2.4         2.4.10.1     2             rosa  2014.1 x86_64 
 lib64opencv_contrib2.4         2.4.10.1     2             rosa  2014.1 x86_64 
 lib64opencv_features2d2.4      2.4.10.1     2             rosa  2014.1 x86_64 
 lib64opencv_flann2.4           2.4.10.1     2             rosa  2014.1 x86_64 
 lib64opencv_legacy2.4          2.4.10.1     2             rosa  2014.1 x86_64 (рекомендуется)
 lib64opencv_ml2.4              2.4.10.1     2             rosa  2014.1 x86_64 
 lib64opencv_video2.4           2.4.10.1     2             rosa  2014.1 x86_64 
 lib64pgf6                      6.14.12      1             rosa  2014.1 x86_64 
 lib64qtsoap2                   2.7          3             rosa  2014.1 x86_64 (рекомендуется)
 lib64quazip1                   0.7          5             rosa  2014.1 x86_64 (рекомендуется)
 lib64vigraimpex5               1.10.0       6             rosa  2014.1 x86_64 (рекомендуется)
 libkdeedu                      4.14.3       1             rosa  2014.1 x86_64 (рекомендуется)
 libkvkontakte-i18n             4.12.0       2             rosa  2014.1 noarch (рекомендуется)
 marble                         4.14.3       4             rosa  2014.1 x86_64 (рекомендуется)
 marble-common                  4.14.3       4             rosa  2014.1 x86_64 (рекомендуется)
(источник «Main32 Updates»)
 libkface-common                15.04.1      1             rosa  2014.1 noarch 
 libkgeomap-common              15.04.1      1             rosa  2014.1 noarch 
 perl-Image-ExifTool            10.0.0       1             rosa  2014.1 noarch (рекомендуется)
(источник «restricted updates»)
 lib64pano13_3                  2.9.19       1plf          plf   2014.1 x86_64 (рекомендуется)
 libpano13-tools                2.9.19       1plf          plf   2014.1 x86_64 (рекомендуется)
Будет использовано 242МБ дополнительного дискового пространства.
Будет загружено 81МБ пакетов.
Установить 91 пакетов? (Y/n

keleg
Сообщения: 5460
Зарегистрирован: 15 сен 2011, 01:58

Re: digiKam

Сообщение keleg » 15 фев 2017, 11:17

так можно без них поставить.
urpmi digikam --no-suggests

Аватара пользователя
Zeffanyx
Сообщения: 1420
Зарегистрирован: 12 сен 2011, 14:25
Operating system: Rosa Fresh R11, OpenMandriva Lx 4 (Cooker)
Откуда: Санкт-Петербург

Re: digiKam

Сообщение Zeffanyx » 15 фев 2017, 13:39

tverskoy писал(а):Неужели так необходимы все эти зависимости, полный набор kipi-plugin, marble и hugin?
они обеспечивают выполнение стандартных функций, заложенных в Digikam. Там ещё много чего есть, включая поиск по лицам и даже некоторые плагины, выдернутые из Gimp (например Refocus).

Аватара пользователя
tverskoy
Сообщения: 1139
Зарегистрирован: 12 сен 2011, 13:30
Operating system: Rosa 2016.1 Fresh
Откуда: Тверь

Re: digiKam

Сообщение tverskoy » 16 апр 2018, 20:53

Обновление прилетело, и сломало digikam
serge@samsung ~ $ digikam
digikam: symbol lookup error: /usr/lib64/libdigikamcore.so.5: undefined symbol: _ZNK8KCalCore10Recurrence15getNextDateTimeERK9KDateTime

keleg
Сообщения: 5460
Зарегистрирован: 15 сен 2011, 01:58

Re: digiKam

Сообщение keleg » 17 апр 2018, 06:40

Отослал сборщикам.

nvk
Сообщения: 131
Зарегистрирован: 10 июн 2012, 10:06
Operating system: ROSA.Desktop.Fresh.Plasma.R11.x86_64
Откуда: г. Нижний Новгород
Контактная информация:

Re: digiKam

Сообщение nvk » 18 апр 2018, 08:05

Спасибо! Всё заработало!

Аватара пользователя
Shura
Сообщения: 262
Зарегистрирован: 14 янв 2013, 14:50
Operating system: Rosa 2013
Контактная информация:

Re: digiKam

Сообщение Shura » 10 май 2018, 22:04

А можно надеяться, что в digiKam наконец-то вернутся возможности отображения геолокации снимков?
Linux home 3.6.10-nrj-desktop-1rosa #1 SMP PREEMPT Wed Dec 12 13:59:22 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Ответить